* {
    margin: 0;
    padding: 0;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

nav {
    position: relative;
    /* border: 2px solid ; */
    height: 35vh;
    min-height: 170px;
    align-items: flex-end;
    display: flex;
    flex-direction: column;
    /* justify-content: flex-end; */
    overflow: hidden;
}

#sitelogo {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 8%;
    height: 28%;
}

.bonus-challenge-section {
  /*  border: 2px solid white; */
    display: flex-end;
    position: absolute;
    bottom: 5vmin;
    right: 5vmin;
}

#challenge-header, #log-out-button {
    color: yellow;
    border: none; 
    border-radius: 15px;
    background: rgba(0, 0, 0, 0.9);
    padding: 2vmin 3vmin;
    font-weight: bold;
    text-decoration: none;
    font-size: 16px;
    margin-left: 3vmin;
    box-shadow: 3px 3px rgb(182, 182, 182), -3px -3px rgb(182, 182, 182);
}
#log-out-button:hover {
    cursor: pointer;
}

.carroussel-images {
    position: absolute;
    /* border: 2px solid green; */
    height: 100%;
    width: 100%;
    display: flex;
    transition: 1s ease;
}
.carroussel-images img {
    min-width: 100%;
}
.sombre-section {
    position: absolute;
    /* border: 6px solid yellow; */
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.47);
}

.section1 {
    /* border: 2px solid red; */
    position: sticky;
    top: 0;
    width: 100%;
    min-height: 40%;
    max-height: 40%;
    z-index: 2;
    display: flex;
    justify-content: flex-end;
    padding: 0px;
    padding-right: 35px;
    align-items: center;
}

.section1 a {
    text-decoration: none;
    font-weight: bold;
    color: white;
    /* margin: 0 5px; */
    font-size: 20px;
    background-color: rgba(0, 0, 0, 0.616);
    padding: 10px 19px;
    /* border-right: 3px solid;
    border-bottom: 3px solid; */
    transition: 0.1s ease;
    /* text-decoration: underline; */
}
.section1 a:hover {
    color: white;
    background-color: rgba(5, 23, 82, 0.44);
    border-right: none;
    border-bottom: 3px solid blue;
    transform: translateY(-6px);
    text-decoration: none;
}

.menuheader {
    position: absolute;
    border: 2px solid white;
    right: 15px;
    top: 15px;
    width: 40px;
    height: 37px;
    display: none;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
}
.menuheader span {
    border: 2px solid white;
    width: 65%;
}

.infos-menu-section {
    /* border: 2px solid greenyellow; */
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.562);
    z-index: 20;
    display: flex;
    justify-content: flex-end;
}
.div-menu {
    position: relative;
    /* border: 2px solid orange; */
    min-width: 330px;
    max-width: 350px;
    min-height: 100%;
    background: linear-gradient(to right, rgb(34, 34, 34), rgb(65, 65, 65), rgb(151, 151, 151));
    animation: scroller 0.25s linear;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    overflow-y: scroll;
}
.div-menu *{
    z-index: 2;
}
#logo-for-bar-menu {
    width: 65%;
    height: 180px;
    margin-top: 12%;
    /* border: 2px solid; */
    padding: 20px;
    border-radius: 50px;
    background-color: rgb(105, 105, 133);
}
.div-menu a {
    /* border: 2px solid; */
    width: 80%;
    padding: 18px 20px;
    text-decoration: none;
    font-weight: bold;
    font-size: 19px;
    margin-top: 10px;
    /* border-radius: 10px; */
    background-color: rgba(0, 0, 0, 0.719);
    color: white;
}
.div-menu a:nth-child(8) {
    /* border: 2px solid green; */
    margin-bottom: 75px;
}
.div-menu p {
    margin-top: 35px;
    margin-bottom: 10px;
}
.div-menu p span {
    font-weight: bold;
    font-size: 19px;
    /* -webkit-text-stroke: 1px; */
    color: white;
    letter-spacing: 1px;
    text-align: center;
}
.div-menu p em {
    font-size: 22px;
    color: rgb(0, 255, 0);
}
.div-menu a:nth-last-of-type(".div-menu a") {
    border: 2px solid green;
}
@keyframes scroller {
    0% {
        transform: translateX(110%);
    }
}

@media screen and (max-width: 1000px) {
    .section1 {
        display: none;
    }
    nav {
        height: 25vh;
    }
    #sitelogo {
        display: none;
    }
    .menuheader {
        display: flex;
    }

    #preview-next {
        display: none;
    }
}